Subject: Re: bug#58505: 29.0.50; Time out waiting for reply from selection owner

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Nov 2022 09:21:05 +0200

> From: Daan Ro <[email-masked]>
> Date: Sun, 13 Nov 2022 12:11:46 +0700
> 
> Then how about we do that by default, since batch sessions are untouchable in
> the user-space.

That makes little sense to me.  We shouldn't disable features in the
batch sessions without good reasons.  This works for almost everyone,
so changing the behavior for the benefit of a few that have some local
configuration issue is not TRT.

You can always disable this in your programs that you run in batch
mode.

> If a non-interactive instance really needs to access the clipboard (which
> normally doesn't), it can easily set `interprogram-paste-function`. Disabling
> prevents those sessions from influencing the primary interactive one (doesn't
> solve the problem for multiple interactive instances, though).
> 
> I am experimenting with this patch.

Sorry, this is a non-starter from my POV.  We will not change the
long-time default behavior because someone has local problems on their
system.